//- Solve the Momentum equation

//- Assembling
fvVectorMatrix UEqn
(
    fvm::ddt(rho,U)
  + fvm::div(mdotf, U)
  + turbulence->divDevRhoReff(U)
  + fvm::SuSp(-(fvc::div(mdotf)+fvc::ddt(rho,U)), U)
  == -fvc::grad(p)
);

//- Implicit relaxation
UEqn.relax();

//- Solution of the linear solver adding the pressure gradient as source term
resU = UEqn.solve().initialResidual();



